
// Shooter3D.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* Demonstruje střílecí zařízení, které střílí laserový paprsek
   do zvoleného bodu na šachovnici. Obsahuje také zvuky,
   animovaný laserový paprsek a animovanou explozi.
*/

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;


public class Shooter3D extends JFrame
{
  public Shooter3D() 
  {
    super("Shooter3D");

    Container c = getContentPane();
    c.setLayout( new BorderLayout() );
    WrapShooter3D w3d = new WrapShooter3D();
    c.add(w3d, BorderLayout.CENTER);

    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    pack();
    setResizable(false);    // rozměry okna jsou pevně dány
    setVisible(true);
  } // konec metody: Shooter3D()


// -----------------------------------------

  public static void main(String[] args)
  { new Shooter3D(); }

} // konec třídy: Shooter3D
